diff --git a/pgadmin/dlg/dlgClasses.cpp b/pgadmin/dlg/dlgClasses.cpp
index aaeb626..bb8fbd2 100644
--- a/pgadmin/dlg/dlgClasses.cpp
+++ b/pgadmin/dlg/dlgClasses.cpp
@@ -94,12 +94,6 @@ void pgDialog::PostCreation()
 		right -= size.GetWidth() + ConvertDialogToPixels(wxSize(3, 0)).x;
 		btnOK->Move(right, pos.y);
 	}
-	if (btnApply)
-	{
-		size = btnApply->GetSize();
-		right -= size.GetWidth() - ConvertDialogToPixels(wxSize(3, 0)).x;
-		btnApply->Move(right, pos.y);
-	}
 
 // On OS X, reverse the buttons for UI consistency
 #ifdef __WXMAC__
@@ -112,12 +106,6 @@ void pgDialog::PostCreation()
 		btnOK->Move(pos.x, pos.y);
 	}
 
-	if (btnApply)
-	{
-		pos2 = btnApply->GetPosition();
-		btnApply->Move(pos.x, pos.y);
-	}
-
 	btnCancel->Move(pos2.x, pos2.y);
 #endif
 
@@ -471,9 +459,6 @@ void ExecutionDialog::OnCancel(wxCommandEvent &ev)
 		Abort();
 		btnCancel->Enable();
 		btnOK->Enable();
-		wxButton *btn = btnApply;
-		if (btn)
-			btn->Enable();
 	}
 	else
 	{
@@ -577,9 +562,6 @@ void ExecutionDialog::OnOK(wxCommandEvent &ev)
 			txtMessages->AppendText(_("\nCancelled.\n"));
 
 		btnOK->Enable();
-		wxButton *btn = btnApply;
-		if (btn)
-			btn->Enable();
 	}
 	else
 	{
diff --git a/pgadmin/dlg/dlgExtTable.cpp b/pgadmin/dlg/dlgExtTable.cpp
index ec88ce8..234bde4 100644
--- a/pgadmin/dlg/dlgExtTable.cpp
+++ b/pgadmin/dlg/dlgExtTable.cpp
@@ -32,7 +32,6 @@
 
 BEGIN_EVENT_TABLE(dlgExtTable, dlgSecurityProperty)
 	EVT_STC_MODIFIED(XRCID("txtSqlBox"),            dlgProperty::OnChangeStc)
-	EVT_BUTTON(wxID_APPLY,                          dlgExtTable::OnApply)
 END_EVENT_TABLE();
 
 
@@ -165,11 +164,3 @@ bool dlgExtTable::IsUpToDate()
 		return true;
 }
 
-void dlgExtTable::OnApply(wxCommandEvent &ev)
-{
-	dlgProperty::OnApply(ev);
-
-	wxString sql = wxT("SELECT xmin FROM pg_class WHERE oid = ") + extTable->GetOidStr();
-	extTable->iSetXid(StrToOid(connection->ExecuteScalar(sql)));
-}
-
diff --git a/pgadmin/dlg/dlgFunction.cpp b/pgadmin/dlg/dlgFunction.cpp
index 1b0dea2..e018bb6 100644
--- a/pgadmin/dlg/dlgFunction.cpp
+++ b/pgadmin/dlg/dlgFunction.cpp
@@ -106,7 +106,6 @@ BEGIN_EVENT_TABLE(dlgFunction, dlgSecurityProperty)
 #ifdef __WXMAC__
 	EVT_SIZE(                                       dlgFunction::OnChangeSize)
 #endif
-	EVT_BUTTON(wxID_APPLY,                          dlgFunction::OnApply)
 END_EVENT_TABLE();
 
 
@@ -608,14 +607,6 @@ bool dlgFunction::IsUpToDate()
 		return true;
 }
 
-void dlgFunction::OnApply(wxCommandEvent &ev)
-{
-	dlgProperty::OnApply(ev);
-
-	wxString sql = wxT("SELECT xmin FROM pg_proc WHERE oid = ") + function->GetOidStr();
-	function->iSetXid(StrToOid(connection->ExecuteScalar(sql)));
-}
-
 void dlgFunction::OnSelChangeLanguage(wxCommandEvent &ev)
 {
 	bool isC = (cbLanguage->GetValue().IsSameAs(wxT("C"), false));
diff --git a/pgadmin/dlg/dlgPackage.cpp b/pgadmin/dlg/dlgPackage.cpp
index bdfe216..f9cea84 100644
--- a/pgadmin/dlg/dlgPackage.cpp
+++ b/pgadmin/dlg/dlgPackage.cpp
@@ -34,7 +34,6 @@ dlgProperty *edbPackageFactory::CreateDialog(frmMain *frame, pgObject *node, pgO
 BEGIN_EVENT_TABLE(dlgPackage, dlgSecurityProperty)
 	EVT_STC_MODIFIED(XRCID("txtHeader"),            dlgProperty::OnChangeStc)
 	EVT_STC_MODIFIED(XRCID("txtBody"),              dlgProperty::OnChangeStc)
-	EVT_BUTTON(wxID_APPLY,                          dlgPackage::OnApply)
 END_EVENT_TABLE();
 
 
@@ -144,18 +143,6 @@ bool dlgPackage::IsUpToDate()
 		return true;
 }
 
-void dlgPackage::OnApply(wxCommandEvent &ev)
-{
-	dlgProperty::OnApply(ev);
-
-	wxString sql;
-	if(connection->EdbMinimumVersion(8, 2))
-		sql = wxT("SELECT xmin FROM pg_namespace WHERE oid = ") + package->GetOidStr();
-	else
-		sql = wxT("SELECT xmin FROM edb_package WHERE oid = ") + package->GetOidStr();
-	package->iSetXid(StrToOid(connection->ExecuteScalar(sql)));
-}
-
 
 wxString dlgPackage::GetSql()
 {
diff --git a/pgadmin/dlg/dlgProperty.cpp b/pgadmin/dlg/dlgProperty.cpp
index 15913ad..36fd75c 100644
--- a/pgadmin/dlg/dlgProperty.cpp
+++ b/pgadmin/dlg/dlgProperty.cpp
@@ -97,9 +97,6 @@ BEGIN_EVENT_TABLE(dlgProperty, DialogWithHelp)
 
 	EVT_BUTTON(wxID_HELP,                           dlgProperty::OnHelp)
 	EVT_BUTTON(wxID_OK,                             dlgProperty::OnOK)
-	EVT_BUTTON(wxID_APPLY,                          dlgProperty::OnApply)
-	EVT_BUTTON(wxID_CANCEL,                         dlgProperty::OnCancel)
-	EVT_CLOSE (                                     dlgProperty::OnClose)
 END_EVENT_TABLE();
 
 
@@ -223,10 +220,6 @@ void dlgProperty::SetDatatypeCache(dataTypeCache cache)
 
 void dlgProperty::EnableOK(bool enable)
 {
-	wxButton *btn = btnApply;
-	if (btn)
-		btn->Enable(enable);
-
 	btnOK->Enable(enable);
 	if (enable)
 	{
@@ -235,26 +228,6 @@ void dlgProperty::EnableOK(bool enable)
 	}
 }
 
-void dlgProperty::OnClose(wxCloseEvent &ev)
-{
-	// Sets the window pointer to NULL when the dialog gets closed
-	if (GetObject())
-	{
-		GetObject()->SetWindowPtr(NULL);
-	}
-	pgDialog::OnClose(ev);
-}
-
-void dlgProperty::OnCancel(wxCommandEvent &ev)
-{
-	// Sets the window pointer to NULL when the dialog gets closed
-	if (GetObject())
-	{
-		GetObject()->SetWindowPtr(NULL);
-	}
-	pgDialog::OnCancel(ev);
-}
-
 
 void dlgProperty::SetSqlReadOnly(bool readonly)
 {
@@ -363,9 +336,6 @@ int dlgProperty::Go(bool modal)
 	}
 	else
 	{
-		wxButton *btn = btnApply;
-		if (btn)
-			btn->Hide();
 		if (factory)
 			SetTitle(wxGetTranslation(factory->GetNewString()));
 		if (cbSchema)
@@ -848,54 +818,15 @@ void dlgProperty::ShowObject()
 				ownDialog = data->GetWindowPtr();
 				data->SetWindowPtr(NULL);
 			}
-
-			// The Refresh call creates a new data object so we will use the newly
-			// created object and set it's window pointer to NULL.
-			// In addition, we set the dialog's object to the newly created object.
-			pgObject *newData = mainForm->Refresh(tblobj);
-			if (newData)
+			mainForm->Refresh(tblobj);
+			if (data)
 			{
-				newData->SetWindowPtr(NULL);
-				if (ownDialog)
-					ownDialog->SetObject(newData);
-
-				// Note that the object's window pointer will be reset by dlgProperty::Apply.
+				data->SetWindowPtr(ownDialog);
 			}
 		}
 
 		// Restore the previous selection...
 		mainForm->SetCurrentNode(mainForm->GetBrowser()->GetRootItem(), currentPath);
-
-		// If we couldn't restore the previous selection, it means that
-		// the object doesn't exist any more. Either it was dropped, or
-		// moved to another schema.
-		// If it is the latter, we need to refresh the Schemas node.
-		if (currentPath != mainForm->GetCurrentNodePath())
-		{
-			if (objectnode.IsOk())
-			{
-				// first parent is the objects' node
-				wxTreeItemId objectsnode = mainForm->GetBrowser()->GetItemParent(objectnode);
-				if (objectsnode.IsOk())
-				{
-					// second parent is the schema's node
-					wxTreeItemId schemanode = mainForm->GetBrowser()->GetItemParent(objectsnode);
-					pgObject *obj = mainForm->GetBrowser()->GetObject(schemanode);
-					if (schemanode.IsOk() && obj != NULL && obj->GetMetaType() == PGM_SCHEMA)
-					{
-						// third parent is the schemas' node
-						wxTreeItemId schemasnode = mainForm->GetBrowser()->GetItemParent(schemanode);
-						if (schemasnode.IsOk())
-						{
-							// we finally have the schemas' node, so we refresh it
-							pgObject *schemasnodeobj = mainForm->GetBrowser()->GetObject(schemasnode);
-							if (schemasnodeobj)
-								mainForm->Refresh(schemasnodeobj);
-						}
-					}
-				}
-			}
-		}
 	}
 	else if (data)
 	{
@@ -1004,13 +935,6 @@ bool dlgProperty::apply(const wxString &sql, const wxString &sql2)
 
 	ShowObject();
 
-	// Reset the window pointer of the object to the current window as this may
-	// have been set to NULL during the refresh operation.
-	if (GetObject())
-	{
-		GetObject()->SetWindowPtr(this);
-	}
-
 	return true;
 }
 
@@ -1095,27 +1019,6 @@ wxArrayString dlgProperty::SplitQueries(const wxString &sql)
 }
 
 
-void dlgProperty::OnApply(wxCommandEvent &ev)
-{
-	if (!IsUpToDate())
-	{
-		if (wxMessageBox(wxT("The object has been changed by another user. Do you wish to continue to try to update it?"), wxT("Overwrite changes?"), wxYES_NO) != wxYES)
-			return;
-	}
-
-	wxString sql = GetSql();
-	wxString sql2 = GetSql2();
-
-	if (!apply(sql, sql2))
-		return;
-
-	EnableOK(false);
-
-	if (statusBar)
-		statusBar->SetStatusText(_("Changes applied."));
-}
-
-
 void dlgProperty::OnOK(wxCommandEvent &ev)
 {
 #ifdef __WXGTK__
@@ -1162,12 +1065,6 @@ void dlgProperty::OnOK(wxCommandEvent &ev)
 		return;
 	}
 
-	// Sets the window pointer to NULL when the dialog gets closed
-	if (GetObject())
-	{
-		GetObject()->SetWindowPtr(NULL);
-	}
-
 	Destroy();
 }
 
diff --git a/pgadmin/dlg/dlgTrigger.cpp b/pgadmin/dlg/dlgTrigger.cpp
index 52ef68c..ecadf6d 100644
--- a/pgadmin/dlg/dlgTrigger.cpp
+++ b/pgadmin/dlg/dlgTrigger.cpp
@@ -61,7 +61,6 @@ BEGIN_EVENT_TABLE(dlgTrigger, dlgCollistProperty)
 	EVT_COMBOBOX(XRCID("cbColumns"),                dlgTrigger::OnSelectComboCol)
 	EVT_BUTTON(XRCID("btnAddCol"),                  dlgTrigger::OnAddCol)
 	EVT_BUTTON(XRCID("btnRemoveCol"),               dlgTrigger::OnRemoveCol)
-	EVT_BUTTON(wxID_APPLY,                          dlgTrigger::OnApply)
 END_EVENT_TABLE();
 
 
@@ -512,16 +511,6 @@ bool dlgTrigger::IsUpToDate()
 		return true;
 }
 
-void dlgTrigger::OnApply(wxCommandEvent &ev)
-{
-	dlgProperty::OnApply(ev);
-
-	wxString sql = wxT("SELECT xmin FROM pg_trigger WHERE oid = ") + trigger->GetOidStr();
-	trigger->iSetXid(StrToOid(connection->ExecuteScalar(sql)));
-}
-
-
-
 void dlgTrigger::OnSelectListCol(wxListEvent &ev)
 {
 	OnSelectCol();
diff --git a/pgadmin/dlg/dlgView.cpp b/pgadmin/dlg/dlgView.cpp
index 279413b..fab920d 100644
--- a/pgadmin/dlg/dlgView.cpp
+++ b/pgadmin/dlg/dlgView.cpp
@@ -33,7 +33,6 @@
 
 BEGIN_EVENT_TABLE(dlgView, dlgSecurityProperty)
 	EVT_STC_MODIFIED(XRCID("txtSqlBox"),            dlgProperty::OnChangeStc)
-	EVT_BUTTON(wxID_APPLY,                          dlgView::OnApply)
 	EVT_CHECKBOX(XRCID("chkSecurityBarrier"),       dlgProperty::OnChange)
 END_EVENT_TABLE();
 
@@ -220,14 +219,6 @@ bool dlgView::IsUpToDate()
 		return true;
 }
 
-void dlgView::OnApply(wxCommandEvent &ev)
-{
-	dlgProperty::OnApply(ev);
-
-	wxString sql = wxT("SELECT xmin FROM pg_class WHERE oid = ") + view->GetOidStr();
-	view->iSetXid(StrToOid(connection->ExecuteScalar(sql)));
-}
-
 void dlgView::OnChange(wxCommandEvent &event)
 {
 	CheckChange();
diff --git a/pgadmin/frm/frmMain.cpp b/pgadmin/frm/frmMain.cpp
index 76127ad..e08b539 100644
--- a/pgadmin/frm/frmMain.cpp
+++ b/pgadmin/frm/frmMain.cpp
@@ -530,7 +530,7 @@ void frmMain::CreateMenus()
 }
 
 
-pgObject *frmMain::Refresh(pgObject *data)
+void frmMain::Refresh(pgObject *data)
 {
 	bool done = false;
 	pgObject *obj = NULL;
@@ -592,7 +592,7 @@ pgObject *frmMain::Refresh(pgObject *data)
 				{
 					CheckAlive();
 					browser->Thaw();
-					return data;
+					return;
 				}
 
 				wxTreeItemId delItem = currentItem;
@@ -604,19 +604,16 @@ pgObject *frmMain::Refresh(pgObject *data)
 
 		if (currentItem)
 		{
+                        // Select the current node
+                        execSelChange(currentItem, currentItem == browser->GetSelection());
 
 			// Attempt to expand any child nodes that were previously expanded
 			ExpandChildNodes(currentItem, expandedNodes);
-
-			// Select the current node
-			execSelChange(currentItem, currentItem == browser->GetSelection());
 		}
 	}
 
 	browser->Thaw();
 	EndMsg(done);
-
-	return currentObject;
 }
 
 void frmMain::OnCopy(wxCommandEvent &ev)
@@ -704,7 +701,6 @@ wxString frmMain::GetNodePath(wxTreeItemId node)
 	wxTreeItemId parent = browser->GetItemParent(node);
 	while (parent.IsOk())
 	{
-		browser->GetItemData(parent);
 		path = browser->GetItemText(parent).BeforeFirst('(').Trim() + wxT("/") + path;
 		parent = browser->GetItemParent(parent);
 	}
diff --git a/pgadmin/include/dlg/dlgClasses.h b/pgadmin/include/dlg/dlgClasses.h
index fe858b8..31ea4d1 100644
--- a/pgadmin/include/dlg/dlgClasses.h
+++ b/pgadmin/include/dlg/dlgClasses.h
@@ -17,7 +17,6 @@
 WX_DECLARE_LIST(wxWindow, windowList);
 
 #define btnOK                   CTRL_BUTTON("wxID_OK")
-#define btnApply                CTRL_BUTTON("wxID_APPLY")
 #define btnCancel               CTRL_BUTTON("wxID_CANCEL")
 
 
diff --git a/pgadmin/include/dlg/dlgExtTable.h b/pgadmin/include/dlg/dlgExtTable.h
index 6da5e7b..56dad05 100644
--- a/pgadmin/include/dlg/dlgExtTable.h
+++ b/pgadmin/include/dlg/dlgExtTable.h
@@ -38,7 +38,6 @@ public:
 private:
 
 	virtual bool IsUpToDate();
-	void OnApply(wxCommandEvent &ev);
 
 	pgSchema *schema;
 	gpExtTable *extTable;
diff --git a/pgadmin/include/dlg/dlgFunction.h b/pgadmin/include/dlg/dlgFunction.h
index 73f3901..b2103e5 100644
--- a/pgadmin/include/dlg/dlgFunction.h
+++ b/pgadmin/include/dlg/dlgFunction.h
@@ -32,8 +32,6 @@ public:
 	void SetObject(pgObject *obj)
 	{
 		function = (pgFunction *)obj;
-		if(seclabelPage)
-			seclabelPage->SetObject(obj);
 	}
 
 	wxString GetHelpPage(bool forCreate) const
@@ -76,7 +74,6 @@ private:
 	void ReplaceSizer(wxWindow *w, bool isC, int border);
 
 	virtual bool IsUpToDate();
-	void OnApply(wxCommandEvent &ev);
 
 	wxArrayString typOids;
 	wxArrayString types;
diff --git a/pgadmin/include/dlg/dlgPackage.h b/pgadmin/include/dlg/dlgPackage.h
index 98322a6..9a41e12 100644
--- a/pgadmin/include/dlg/dlgPackage.h
+++ b/pgadmin/include/dlg/dlgPackage.h
@@ -42,7 +42,6 @@ private:
 	pgSchema *schema;
 
 	virtual bool IsUpToDate();
-	void OnApply(wxCommandEvent &ev);
 #ifdef __WXMAC__
 	void OnChangeSize(wxSizeEvent &ev);
 #endif
diff --git a/pgadmin/include/dlg/dlgProperty.h b/pgadmin/include/dlg/dlgProperty.h
index b4b8a3e..d302d83 100644
--- a/pgadmin/include/dlg/dlgProperty.h
+++ b/pgadmin/include/dlg/dlgProperty.h
@@ -125,9 +125,6 @@ protected:
 	{
 		return true;
 	};
-	void OnClose(wxCloseEvent &ev);
-	void OnCancel(wxCommandEvent &ev);
-
 	void ShowObject();
 
 	void FillSQLTextfield();
@@ -154,7 +151,6 @@ public:
 
 	void OnPageSelect(wxNotebookEvent &event);
 	void OnOK(wxCommandEvent &ev);
-	void OnApply(wxCommandEvent &ev);
 	void OnChange(wxCommandEvent &ev);
 	void OnChangeOwner(wxCommandEvent &ev);
 	void OnChangeStc(wxStyledTextEvent &event);
diff --git a/pgadmin/include/dlg/dlgTrigger.h b/pgadmin/include/dlg/dlgTrigger.h
index 18957eb..6f5250c 100644
--- a/pgadmin/include/dlg/dlgTrigger.h
+++ b/pgadmin/include/dlg/dlgTrigger.h
@@ -49,7 +49,6 @@ private:
 	void OnRemoveCol(wxCommandEvent &ev);
 
 	virtual bool IsUpToDate();
-	void OnApply(wxCommandEvent &ev);
 
 	DECLARE_EVENT_TABLE()
 };
diff --git a/pgadmin/include/dlg/dlgView.h b/pgadmin/include/dlg/dlgView.h
index 332b3d7..e8f580a 100644
--- a/pgadmin/include/dlg/dlgView.h
+++ b/pgadmin/include/dlg/dlgView.h
@@ -34,14 +34,11 @@ public:
 	void SetObject(pgObject *obj)
 	{
 		view = (pgView *)obj;
-		if(seclabelPage)
-			seclabelPage->SetObject(obj);
 	}
 
 private:
 
 	virtual bool IsUpToDate();
-	void OnApply(wxCommandEvent &ev);
 
 	pgSchema *schema;
 	pgView *view;
diff --git a/pgadmin/include/frm/frmMain.h b/pgadmin/include/frm/frmMain.h
index 6b5df8f..da11a2f 100644
--- a/pgadmin/include/frm/frmMain.h
+++ b/pgadmin/include/frm/frmMain.h
@@ -109,7 +109,7 @@ public:
 	bool CheckAlive();
 
 	void execSelChange(wxTreeItemId item, bool currentNode);
-	pgObject *Refresh(pgObject *data);
+	void Refresh(pgObject *data);
 	void ExecDrop(bool cascaded);
 	void ShowObjStatistics(pgObject *data, wxWindow *ctrl = NULL);
 
diff --git a/pgadmin/ui/dlgFunction.xrc b/pgadmin/ui/dlgFunction.xrc
index aa11600..2e40dfc 100644
--- a/pgadmin/ui/dlgFunction.xrc
+++ b/pgadmin/ui/dlgFunction.xrc
@@ -571,7 +571,7 @@
       </object>
       <object class="sizeritem">
         <object class="wxFlexGridSizer">
-          <cols>5</cols>
+          <cols>4</cols>
           <growablecols>1</growablecols>
           <object class="sizeritem">
             <object class="wxButton" name="wxID_HELP">
@@ -584,13 +584,6 @@
             <size>0,0d</size>
           </object>
           <object class="sizeritem">
-            <object class="wxButton" name="wxID_APPLY">
-              <label>&amp;Apply</label>
-            </object>
-            <flag>wxEXPAND|wxALL</flag>
-            <border>4</border>
-          </object>
-          <object class="sizeritem">
             <object class="wxButton" name="wxID_OK">
               <label>&amp;OK</label>
               <default>1</default>
diff --git a/pgadmin/ui/dlgPackage.xrc b/pgadmin/ui/dlgPackage.xrc
index cd7772e..3253cbc 100644
--- a/pgadmin/ui/dlgPackage.xrc
+++ b/pgadmin/ui/dlgPackage.xrc
@@ -138,7 +138,7 @@
       </object>
       <object class="sizeritem">
         <object class="wxFlexGridSizer">
-          <cols>5</cols>
+          <cols>4</cols>
           <growablecols>1</growablecols>
           <object class="sizeritem">
             <object class="wxButton" name="wxID_HELP">
@@ -151,13 +151,6 @@
             <size>0,0d</size>
           </object>
           <object class="sizeritem">
-            <object class="wxButton" name="wxID_APPLY">
-              <label>&amp;Apply</label>
-            </object>
-            <flag>wxEXPAND|wxALL</flag>
-            <border>3</border>
-          </object>
-          <object class="sizeritem">
             <object class="wxButton" name="wxID_OK">
               <label>&amp;OK</label>
               <default>1</default>
diff --git a/pgadmin/ui/dlgTrigger.xrc b/pgadmin/ui/dlgTrigger.xrc
index b75f01a..cb85a93 100644
--- a/pgadmin/ui/dlgTrigger.xrc
+++ b/pgadmin/ui/dlgTrigger.xrc
@@ -352,7 +352,7 @@
       </object>
       <object class="sizeritem">
         <object class="wxFlexGridSizer">
-          <cols>5</cols>
+          <cols>4</cols>
           <growablecols>1</growablecols>
           <object class="sizeritem">
             <object class="wxButton" name="wxID_HELP">
@@ -365,13 +365,6 @@
             <size>0,0d</size>
           </object>
           <object class="sizeritem">
-            <object class="wxButton" name="wxID_APPLY">
-              <label>&amp;Apply</label>
-            </object>
-            <flag>wxEXPAND|wxALL</flag>
-            <border>3</border>
-          </object>
-          <object class="sizeritem">
             <object class="wxButton" name="wxID_OK">
               <label>&amp;OK</label>
               <default>1</default>
diff --git a/pgadmin/ui/dlgView.xrc b/pgadmin/ui/dlgView.xrc
index 0d9a294..bb83c2d 100644
--- a/pgadmin/ui/dlgView.xrc
+++ b/pgadmin/ui/dlgView.xrc
@@ -156,7 +156,7 @@
       </object>
       <object class="sizeritem">
         <object class="wxFlexGridSizer">
-          <cols>5</cols>
+          <cols>4</cols>
           <growablecols>1</growablecols>
           <object class="sizeritem">
             <object class="wxButton" name="wxID_HELP">
@@ -169,13 +169,6 @@
             <size>0,0d</size>
           </object>
           <object class="sizeritem">
-            <object class="wxButton" name="wxID_APPLY">
-              <label>&amp;Apply</label>
-            </object>
-            <flag>wxEXPAND|wxALL</flag>
-            <border>3</border>
-          </object>
-          <object class="sizeritem">
             <object class="wxButton" name="wxID_OK">
               <label>&amp;OK</label>
               <default>1</default>
